package com.bonus.canteen.core.menu.vo;

import com.bonus.canteen.core.common.utils.BaseTreeNode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

@ApiModel("原料类别树形结构")
public class MenuCategoryTreeVO extends BaseTreeNode implements Serializable {
   @ApiModelProperty("区域ID")
   private Long areaId;
   @ApiModelProperty("区域名称")
   private String areaName;
   @ApiModelProperty("类别名称")
   private String categoryName;
   @ApiModelProperty("类型(1原料2商品)")
   private Integer categoryType;

   public Long getAreaId() {
      return this.areaId;
   }

   public String getAreaName() {
      return this.areaName;
   }

   public String getCategoryName() {
      return this.categoryName;
   }

   public Integer getCategoryType() {
      return this.categoryType;
   }

   public void setAreaId(final Long areaId) {
      this.areaId = areaId;
   }

   public void setAreaName(final String areaName) {
      this.areaName = areaName;
   }

   public void setCategoryName(final String categoryName) {
      this.categoryName = categoryName;
   }

   public void setCategoryType(final Integer categoryType) {
      this.categoryType = categoryType;
   }
}
